{% from 'macros/inputs.html' import input, label_and_tooltip %}

{# Add always present configuration options #}
{% set base_conf = {
"collector_name": {"read_only": true, "label": "Collector name", "description": "Unique name of the collector"},
"collector_class": {"read_only": true, "label": "Collector class", "description": "Class (alias) of the collector"},
"log_level": {"label": "Log Level", "description": "Log level of the collector process", "choices": ["DEBUG", "INFO", "WARNING", "ERROR"]},
"scan_interval": {"type": "int", "default": 60, "label": "Scan Interval [s]", "description": "Interval in seconds between retrieving new data"}
}
%}

{# add options from configuration file #}
{% for option, conf in collector_config.config.settings.base.items() if option != "data_groups" %}
    {% set _ = base_conf.update({option: conf}) %}
{% endfor %}

{# add enabled button last #}
{% set _ = base_conf.update({
"enabled": {"type": "bool", "label": "Enabled", "description": "Enabled status of the collector"},
})
%}

<table class="clear-table">
    {% for key, conf in base_conf.items() %}
        <tr>
            <td class="clear-table-label tooltip">
                {{ label_and_tooltip(key, conf) }}
            </td>
            <td class="clear-table-data">
                {% if key in ["collector_name", "collector_class", "log_level", "scan_interval", "enabled"]%}
                    {{ input(key, conf, collector) }}
                {% else %}
                    {{ input(key, conf, collector.settings) }}
                {% endif %}
            </td>
        </tr>
    {% endfor %}
</table>
